/*
 *  These three subroutines provide for customized graphics displays
 *  to accomodate STB's OEM customers.  They, unfortunately, make the
 *  code a bit harder to follow.
 */

extern unsigned int xmax;
extern unsigned int ymax;
extern unsigned int zmax;
extern unsigned int text_height;

custom_box()
   {
   filled_box (xmax-xmax/4, ymax/2-ymax/3, xmax-xmax/16+2, ymax/2+ymax/3+3);
   }

custom_256()
   {
   shaded_box (xmax-xmax/4, 18, xmax-xmax/32,
         (ymax <= 239)? 196: ymax - 10, 78);
   }

custom_msg()
   {
   int color;
   int yval, xval;

   if (zmax < 4)
      color = 0x0100;	/* 2-color mode: text color to transparent BLACK */
   else
      color = 0x010F;	/* Std. color of "STB" text to transparent WHITE */
   if (ymax >= 200) {
      if (ymax == 200) {
         if (zmax > 16)
            yval = 20;
         else
            yval = 16;
         }
      else {
         yval = (ymax*7)/10/text_height;
         }
      xval = xmax/11 + 2;
      if (xmax > 440)
         xval += 2;
      if (xmax > 560)
         xval += 3;
      color_s (yval++, xval, color, "STB");
      color_s (yval++, xval, color, "Systems");
      color_s (yval++, xval, color, "Inc.");
      color_s (yval, xval, color,   "1987");
      }
   }
